! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
PROGRAM testconstants

  USE constants

  IMPLICIT NONE

! This test is really a compile time test, as it just confirms that the
! constants exist and are accessible to tasks.

  PRINT *, Pi
  PRINT *, TwoPi
  PRINT *, FourPi
  PRINT *, PiOverTwo
  PRINT *, OneOverPi
  PRINT *, OneOverTwoPi
  PRINT *, DegToRad
  PRINT *, RadToDeg
  PRINT *, ArcminToRad
  PRINT *, RadToArcmin
  PRINT *, ArcsecToRad
  PRINT *, RadToArcsec
  PRINT *, SqDegToSterad
  PRINT *, SqArcminToSterad
  PRINT *, SqArcsecToSterad
  PRINT *, SteradToSqDeg
  PRINT *, SteradToSqArcmin
  PRINT *, SteradToSqArcSec
  PRINT *, RootTwo
  PRINT *, RootThree
  PRINT *, RootTen
  PRINT *, RootPi
  PRINT *, NapierE
  PRINT *, lnTwo
  PRINT *, lnTen
  PRINT *, lnPI
  PRINT *, SpeedOfLight
  PRINT *, PlanckH
  PRINT *, NewtonG
  PRINT *, ErgToeV
  PRINT *, ErgTokeV
  PRINT *, eVToErg
  PRINT *, keVToErg
  PRINT *, EarthRadius

END PROGRAM testconstants


